package ru.kolevatykh.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2020-03-23T17:22:33.379+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.kolevatykh.ru/", name = "IProjectEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface IProjectEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsSortedByStatusRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsSortedByStatusResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsSortedByStatus/Fault/Exception")})
    @RequestWrapper(localName = "findProjectsSortedByStatus", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectsSortedByStatus")
    @ResponseWrapper(localName = "findProjectsSortedByStatusResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectsSortedByStatusResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.tm.endpoint.Project> findProjectsSortedByStatus(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/mergeProjectStatusRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/mergeProjectStatusResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/mergeProjectStatus/Fault/Exception")})
    @RequestWrapper(localName = "mergeProjectStatus", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.MergeProjectStatus")
    @ResponseWrapper(localName = "mergeProjectStatusResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.MergeProjectStatusResponse")
    public void mergeProjectStatus(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findAllProjectsByUserIdRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findAllProjectsByUserIdResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findAllProjectsByUserId/Fault/Exception")})
    @RequestWrapper(localName = "findAllProjectsByUserId", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindAllProjectsByUserId")
    @ResponseWrapper(localName = "findAllProjectsByUserIdResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindAllProjectsByUserIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.tm.endpoint.Project> findAllProjectsByUserId(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/removeProjectRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/removeProjectResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/removeProject/Fault/Exception")})
    @RequestWrapper(localName = "removeProject", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.RemoveProject")
    @ResponseWrapper(localName = "removeProjectResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.RemoveProjectResponse")
    public void removeProject(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/persistProjectRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/persistProjectResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/persistProject/Fault/Exception")})
    @RequestWrapper(localName = "persistProject", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.PersistProject")
    @ResponseWrapper(localName = "persistProjectResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.PersistProjectResponse")
    public void persistProject(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name,
        @WebParam(name = "description", targetNamespace = "")
        java.lang.String description,
        @WebParam(name = "startDate", targetNamespace = "")
        java.lang.String startDate,
        @WebParam(name = "endDate", targetNamespace = "")
        java.lang.String endDate
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectByNameRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectByNameResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectByName/Fault/Exception")})
    @RequestWrapper(localName = "findProjectByName", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectByName")
    @ResponseWrapper(localName = "findProjectByNameResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectByNameResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.kolevatykh.tm.endpoint.Project findProjectByName(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsSortedByStartDateRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsSortedByStartDateResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsSortedByStartDate/Fault/Exception")})
    @RequestWrapper(localName = "findProjectsSortedByStartDate", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectsSortedByStartDate")
    @ResponseWrapper(localName = "findProjectsSortedByStartDateResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectsSortedByStartDateResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.tm.endpoint.Project> findProjectsSortedByStartDate(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectByIdRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectByIdResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectById/Fault/Exception")})
    @RequestWrapper(localName = "findProjectById", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectById")
    @ResponseWrapper(localName = "findProjectByIdResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectByIdResponse")
    @WebResult(name = "return", targetNamespace = "")
    public ru.kolevatykh.tm.endpoint.Project findProjectById(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsBySearchRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsBySearchResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsBySearch/Fault/Exception")})
    @RequestWrapper(localName = "findProjectsBySearch", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectsBySearch")
    @ResponseWrapper(localName = "findProjectsBySearchResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectsBySearchResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.tm.endpoint.Project> findProjectsBySearch(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "search", targetNamespace = "")
        java.lang.String search
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsSortedByEndDateRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsSortedByEndDateResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/findProjectsSortedByEndDate/Fault/Exception")})
    @RequestWrapper(localName = "findProjectsSortedByEndDate", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectsSortedByEndDate")
    @ResponseWrapper(localName = "findProjectsSortedByEndDateResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.FindProjectsSortedByEndDateResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<ru.kolevatykh.tm.endpoint.Project> findProjectsSortedByEndDate(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/mergeProjectRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/mergeProjectResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/mergeProject/Fault/Exception")})
    @RequestWrapper(localName = "mergeProject", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.MergeProject")
    @ResponseWrapper(localName = "mergeProjectResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.MergeProjectResponse")
    public void mergeProject(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token,
        @WebParam(name = "id", targetNamespace = "")
        java.lang.String id,
        @WebParam(name = "name", targetNamespace = "")
        java.lang.String name,
        @WebParam(name = "description", targetNamespace = "")
        java.lang.String description,
        @WebParam(name = "startDate", targetNamespace = "")
        java.lang.String startDate,
        @WebParam(name = "endDate", targetNamespace = "")
        java.lang.String endDate
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/removeAllProjectsRequest", output = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/removeAllProjectsResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IProjectEndpoint/removeAllProjects/Fault/Exception")})
    @RequestWrapper(localName = "removeAllProjects", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.RemoveAllProjects")
    @ResponseWrapper(localName = "removeAllProjectsResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.RemoveAllProjectsResponse")
    public void removeAllProjects(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;
}
